"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListrRenderer = exports.newTask = void 0;
const tslib_1 = require("tslib");
const default_renderer_1 = require("listr2/dist/renderer/default.renderer");
const debug_1 = tslib_1.__importDefault(require("debug"));
const debug = debug_1.default('Listr');
exports.newTask = (title, taskFunction) => ({
    title,
    task: async (ctx, task) => taskFunction(task).catch((error) => {
        debug('%O', error);
        throw new Error(`${title}\n${error}\n`);
    }),
    options: {
        persistentOutput: true,
    },
});
// @ts-ignore
class ListrRenderer extends default_renderer_1.DefaultRenderer {
    constructor() {
        super(...arguments);
        this.spinner = ['🙈 ', '🙈 ', '🙉 ', '🙉 ', '🙊 ', '🙊 '];
    }
}
exports.ListrRenderer = ListrRenderer;
