"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function default_1(names, exceptionHandler) {
    const nameCounts = new Map();
    names.forEach((name) => {
        var _a;
        const val = ((_a = nameCounts.get(name)) !== null && _a !== void 0 ? _a : 0) + 1;
        if (val > 1)
            exceptionHandler(name);
        nameCounts.set(name, val);
    });
}
exports.default = default_1;
